# parsl.launchers.SingleNodeLauncher

class parsl.launchers.SingleNodeLauncher(debug: bool = True, fail_on_any: bool = False)

  Worker launcher that wraps the user’s command with the framework to launch multiple command invocations in parallel. This wrapper sets the bash env variable CORES to the number of cores on the machine. By setting task_blocks to an integer or to a bash expression the number of invocations of the command to be launched can be controlled.

  __init__(debug: bool = True, fail_on_any: bool = False)

  Methods

  `__init__`([debug, fail_on_any]) |